Table of Contents

## Name

glGetPointerv - return the address of the specified pointer

## C Specification

void glGetPointerv( GLenum pname,

        void **params )

eqn not supported

## Parameters

pname
  Specifies the array or buffer pointer to be returned. Symbolic constants GL_COLOR_ARRAY_POINTER, GL_EDGE_FLAG_ARRAY_POINTER, GL_FEEDBACK_BUFFER_POINTER, GL_INDEX_ARRAY_POINTER, GL_NORMAL_ARRAY_POINTER, GL_TEXTURE_COORD_ARRAY_POINTER, GL_SELECTION_BUFFER_POINTER, and GL_VERTEX_ARRAY_POINTER are accepted.
params
  Returns the pointer value specified by pname.

## Description

glGetPointerv returns pointer information. pname is a symbolic constant indicating the pointer to be returned, and params is a pointer to a location in which to place the returned data.

## Notes

glGetPointerv is available only if the GL version is 1.1 or greater.

The pointers are all client-side state.

The initial value for each pointer is 0.

When the GL_ARB_multitexture extension is supported, querying the GL_TEXTURE_COORD_ARRAY_POINTER returns the value for the active client texture unit.

## Errors

GL_INVALID_ENUM is generated if pname is not an accepted value.

## See Also

glArrayElement(3G) , glClientActiveTextureARB(3G) , glColorPointer(3G) , glDrawArrays(3G) , glEdgeFlagPointer(3G) , glFeedbackBuffer(3G) , glIndexPointer(3G) , glInterleavedArrays(3G) , glNormalPointer(3G) , glSelectBuffer(3G) , glTexCoordPointer(3G) , glVertexPointer(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- See Also